Você não está autenticado.

Anúncio

Arch Linux Brasil está precisando de sua colaboração para realizar o pagamento do domínio e do host, para colaborar, realizar doações via paypal.

Para mais informações: contato at archlinux-br.org.

#1 14/10/2019 16:07:23

psilas
Membro
Registrado: 14/10/2019
Mensagens: 1

Erro de GRUB

Já tentei várias vezes a instalação do Arch Linux de todos os meios que conheço.
Direto pela iso baixada direito do site oficial
Fazendo a instalação na unha seguindo os tutoriais que vi na internet.
Tentei  com o anachy linux
Tentei com o script archfi.
Mas o erro é sempre o mesmo.
O grub não carrega o Linux, aparece na tela
GRUB minimal Bash-like LINE ...
Sou inciante no Arch Linux
Agradeço a ajuda.

Obs. Placa mãe lhe não UEFI

Última edição por psilas (14/10/2019 16:15:55)

Offline

#2 06/11/2019 09:08:27

davicb
Membro
Registrado: 05/11/2019
Mensagens: 7

Re: Erro de GRUB

Você já deve ter resolvido eu problema. Se for o caso comenta aí o que você fez.
De qualquer forma isso aconteceu comigo também e é um saco.
No meu caso funcionou uma coisa.
Na hora de digitar o comando:
#grub-install ... eu escrevi a seguinte linha

#grub-install --recheck --target=i386-pc /dev/sda

Eu também sou iniciante em arch. É bom pegar uma segunda opinião ou dar uma checada se existem outras opções.
Me parece que isso tem a ver com as placas intell, não tenho certeza.

Offline

#3 06/11/2019 15:28:47

Lcklinux
Membro
Registrado: 15/10/2019
Mensagens: 1

Re: Erro de GRUB

Caro psilas, como bem colocou o colega acima, é possível que você já tenha solucionado o seu problema com o grub do Arch, na instalação. Caso não o tenha, experimente esses passos quando for instalar o grub (considerando que não esteja usando modo UEFI/EFI, como dá para entender nas poucas informações que você colocou em sua postagem). Enfim, em partição MBR, tenta:

# pacman -S grub-bios
# grub-install  /dev/sda        (se for sda....onde vocẽ pretende colocar o grub).
# grub-mkconfig  -o  /boot/grub/grub.cfg


Me ocorreu que vocẽ pode não ter lido essa notícia aqui (a data da publicação coincide com tuas dificuldades, lembrando, de novo, que vocẽ postou poucas informações sobre o que está ocorrendo/passos utilizados):

Notícia: https://www.archlinux-br.org/noticias/269/

"Grupo "base" substituído pelo pacote obrigatório "base" - requer intervenção manual  -  6 de Outubro de 2019

O grupo base foi substituído por um metapacote com o mesmo nome. Nós aconselhamos que os usuários instalem esse pacote (pacman -Syu base), pois ele é efetivamente obrigatório a partir de agora.

Espera-se que os usuários que solicitam suporte estejam usando um sistema com o pacote base.

Adendo:
Esteja ciente de que o base como está atualmente não contém:
- Um kernel
- Um editor
... e outros softwares que você pode estar interessado. Você precisará instalá-los separadamente ..."

Offline

Rodapé do site